#
# Rebuild switches:
#  --with localtests         enable local tests
#  --with livetests          enable live tests
#

%define localtests 0
%define livetests 0
%{?_with_localtests:%define localtests 1}
%{?_with_livetests:%define livetests 1}

Name:           perl-WWW-Mechanize
Version:        1.49
Release:        1%{?dist}
Summary:        Automates web page form & link interaction

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/WWW-Mechanize/
Source0:        http://backpan.perl.org/authors/id/P/PE/PETDANCE/WWW-Mechanize-%{version}_01.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod), perl(Test::Pod::Coverage)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::Memory::Cycle), perl(Test::Taint), perl(Test::Warn)
BuildRequires:  perl(HTML::TokeParser), perl(LWP::UserAgent), perl(URI::URL)
BuildRequires:  perl(IO::Socket::SSL)
BuildRequires:  perl(HTTP::Response::Encoding)

%description
"WWW::Mechanize", or Mech for short, helps you automate interaction
with a website.  It supports performing a sequence of page fetches
including following links and submitting forms. Each fetched page is
parsed and its links and forms are extracted. A link or a form can be
selected, form fields can be filled and the next page can be fetched.
Mech also stores a history of the URLs you've visited, which can be
queried and revisited.


%prep
%setup -q -n WWW-Mechanize-%{version}_01
for F in Changes; do
    iconv -f iso8859-1 -t utf-8 "$F" > "${F}.utf8" && \
        touch -r "$F" "${F}.utf8" && mv "${F}.utf8" "$F"
done;


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor \
%if %{localtests}
    --local \
%else
    --nolocal \
%endif
%if %{livetests}
    --live
%else
    --nolive
%endif
make %{?_smp_mflags}


%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} + 
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*


%check
make test


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc Changes etc/www-mechanize-logo.png  
%{_bindir}/mech-dump
%{perl_vendorlib}/WWW/
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3pm*


%changelog
* Wed Mar 15 2011 Ken Dreyer <ktdreyer@ktdreyer.com> 1.49-1
- grab F9 spec from perl-WWW-Mechanize:3d7f2586f2d7508cb008edf4593c80959d3c9049
- update to 1.49
- build for EL5
- add BuildRequires HTTP::Response::Encoding
- Convert changelog file to utf8

* Wed May 28 2008 Chris Weyl <cweyl@alumni.drew.edu> 1.34-1
- update to 1.34

* Tue Feb 05 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.32-2
- rebuild for new perl

* Fri Dec 07 2007 Chris Weyl <cweyl@alumni.drew.edu> - 1.32-1
- update to 1.32

* Thu Jun  7 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.30-2
- New rebuild option: "--with livetests".

* Thu Jun  7 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.30-1
- Update to 1.30.
- The Makefile.PL --mech-dump option is now deprecated.

* Thu Jun  7 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.24-1
- Update to 1.24.

* Sun Mar 18 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.22-2
- New BR: perl(IO::Socket::SSL).

* Sun Mar 18 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.22-1
- Update to 1.22.

* Tue Sep  5 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.20-1
- Update to 1.20.
- Live tests have been dropped.

* Tue Feb 28 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.18-2
- Re-enable test suite but without local and live tests.
  One local test fails in mock (see #165650 comment 4).
- New rebuild option: "--with localtests".

* Thu Feb  2 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.18-1
- Update to 1.18.

* Thu Nov 10 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.16-1
- Update to 1.16.

* Wed Aug 31 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.14-2
- Added Test::LongString to the live tests build requirements.

* Wed Aug 31 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.14-1
- Update to 1.14.

* Fri Aug 26 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.12-4
- Added Test::Pod::Coverage to the BR list in order to improve test coverage.
- Disabled test suite as it fails in mock (see #165650 comment 4).

* Thu Aug 25 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.12-3
- Conditional rebuild switch to enable live tests (RFE in #165650).

* Fri Jul  1 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.12-2
- Dist tag.

* Sat Feb 26 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.12-0.fdr.1
- Update to 1.12.

* Mon Feb 14 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.10-0.fdr.1
- Update to 1.10.

* Sat Dec 25 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.08-0.fdr.1
- Update to 1.08.

* Sun Jul 04 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.02-0.fdr.1
- First build.
